- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IScaffoldEditRenderer
TScaffoldBase
TScaffoldEditView
TScaffoldListView
TScaffoldSearch
TScaffoldView

Keyword

# Class TScaffoldListView

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TCompositeControl
                |
                --TTemplateControl
                   |
                   --TScaffoldBase
                      |
                      --TScaffoldListView

TScaffoldListView displays a list of Active Records.

The Header property is a TRepeater displaying the Active Record property/field names. The Sort property is a drop down list displaying the combination of properties and its possible ordering. The Pager property is a TPager control displaying the links and/or buttons that navigate to different pages in the Active Record data. The List property is a TRepeater that renders a row of Active Record data.

Custom rendering of the each Active Record can be achieved by specifying the ItemTemplate or AlternatingItemTemplate property of the main {@linnk getList List} repeater.

The TScaffoldListView will listen for two command events named "delete" and "edit". A "delete" command will delete a the record for the row where the "delete" command is originates. An "edit" command will push the record data to be edited by a TScaffoldEditView with ID specified by the EditViewID.

Additional SearchCondition and SearchParameters (takes array values) can be specified to customize the records to be shown. The SearchCondition will be used as the Condition property of TActiveRecordCriteria, and similarly the SearchParameters will be the corresponding Parameters property of TActiveRecordCriteria.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Constants Inherited From TTemplateControl
EXT_TEMPLATE,

Constants Inherited From TControl

AUTOMATIC_ID_PREFIX, CLIENT_ID_SEPARATOR, CS_CHILD_INITIALIZED, CS_CONSTRUCTED, CS_INITIALIZED, CS_LOADED, CS_PRERENDERED, CS_STATE_LOADED, ID_FORMAT, ID_SEPARATOR, IS_CHILD_CREATED, IS_CREATING_CHILD, IS_DISABLE_THEMING, IS_DISABLE_VIEWSTATE, IS_ID_SET, IS_SKIN_APPLIED, IS_STYLESHEET_APPLIED, RF_ADAPTER, RF_AUTO_BINDINGS, RF_CHILD_STATE, RF_CONTROLS, RF_CONTROLSTATE, RF_DATA_BINDINGS, RF_EVENTS, RF_NAMED_CONTROLS, RF_NAMED_CONTROLS_ID, RF_NAMED_OBJECTS, RF_SKIN_ID,

Method Summary
void | bubbleEvent ( mixed $sender, mixed $param) Continue bubbling the "edit" command, "delete" command is handled in this class.
protected void | deleteRecord ( mixed $sender, mixed $param) Deletes an Active Record.
protected TScaffoldEditView | getEditViewControl ()
string | getEditViewID ()
TRepeater | getHeader ()
TRepeater | getList ()
TPager | getPager ()
protected TActiveRecordCriteria | getRecordCriteria ()
void | getSearchCondition ( string 0)
array | getSearchParameters ()
TDropDownList | getSort ()
protected void | initializeEdit ( mixed $sender, mixed $param) Initialize the edit view control form when EditViewID is set.
protected void | initializeSort () Initialize the sort drop down list and the column names repeater.
protected void | listItemCreated ( mixed $sender, mixed $param) Initialize the default display for each Active Record item.
protected void | loadRecordData () Fetch the records and data bind it to the list.
void | onPreRender ( mixed $param) Loads and display the data.
protected void | pageChanged ( mixed $sender, mixed $param) Updates repeater page index with the pager new index value.
protected void | populateField ( mixed $sender, mixed $param) Sets the Record primary key to the current repeater item's CustomData.
void | setEditViewID ( string $value)
void | setSearchCondition ( string $value)
void | setSearchParameters ( array $value)

Methods Inherited From TScaffoldBase

TScaffoldBase::clearRecordObject(), TScaffoldBase::copyFrom(), TScaffoldBase::getDefaultStyle(), TScaffoldBase::getEnableDefaultStyle(), TScaffoldBase::getRecordClass(), TScaffoldBase::getRecordFinder(), TScaffoldBase::getRecordObject(), TScaffoldBase::getRecordPkValues(), TScaffoldBase::getRecordPropertyValues(), TScaffoldBase::getTableInfo(), TScaffoldBase::onPreRender(), TScaffoldBase::setDefaultStyle(), TScaffoldBase::setEnableDefaultStyle(), TScaffoldBase::setRecordClass(), TScaffoldBase::setRecordObject()

Methods Inherited From TTemplateControl

TTemplateControl::createChildControls(), TTemplateControl::getIsSourceTemplateControl(), TTemplateControl::getMaster(), TTemplateControl::getMasterClass(), TTemplateControl::getTemplate(), TTemplateControl::getTemplateDirectory(), TTemplateControl::initRecursive(), TTemplateControl::injectContent(), TTemplateControl::loadTemplate(), TTemplateControl::registerContent(), TTemplateControl::registerContentPlaceHolder(), TTemplateControl::setMasterClass(), TTemplateControl::setTemplate()

Methods Inherited From TCompositeControl
TCompositeControl::initRecursive()

Methods Inherited From TControl

TControl::addedControl(), TControl::addParsedObject(), TControl::addToPostDataLoader(), TControl::applyStyleSheetSkin(), TControl::autoBindProperty(), TControl::autoDataBindProperties(), TControl::bindProperty(), TControl::broadcastEvent(), TControl::bubbleEvent(), TControl::clearChildState(), TControl::clearControlState(), TControl::clearNamingContainer(), TControl::clearViewState(), TControl::convertUniqueIdToClientId(), TControl::createChildControls(), TControl::createControlCollection(), TControl::dataBind(), TControl::dataBindChildren(), TControl::dataBindProperties(), TControl::ensureChildControls(), TControl::findControl(), TControl::findControlsByID(), TControl::findControlsByType(), TControl::focus(), TControl::getAdapter(), TControl::getAllowChildControls(), TControl::getAttribute(), TControl::getAttributes(), TControl::getChildControlsCreated(), TControl::getClientID(), TControl::getControls(), TControl::getControlStage(), TControl::getControlState(), TControl::getCustomData(), TControl::getEnabled(), TControl::getEnableTheming(), TControl::getEnableViewState(), TControl::getHasAdapter(), TControl::getHasAttributes(), TControl::getHasChildInitialized(), TControl::getHasControls(), TControl::getHasInitialized(), TControl::getHasLoaded(), TControl::getHasLoadedPostData(), TControl::getHasPreRendered(), TControl::getID(), TControl::getNamingContainer(), TControl::getPage(), TControl::getParent(), TControl::getRegisteredObject(), TControl::getSkinID(), TControl::getSourceTemplateControl(), TControl::getTemplateControl(), TControl::getUniqueID(), TControl::getViewState(), TControl::getVisible(), TControl::hasAttribute(), TControl::initRecursive(), TControl::isDescendentOf(), TControl::isObjectRegistered(), TControl::loadRecursive(), TControl::loadState(), TControl::loadStateRecursive(), TControl::onDataBinding(), TControl::onInit(), TControl::onLoad(), TControl::onPreRender(), TControl::onUnload(), TControl::preRenderRecursive(), TControl::raiseBubbleEvent(), TControl::registerObject(), TControl::removeAttribute(), TControl::removedControl(), TControl::render(), TControl::renderChildren(), TControl::renderControl(), TControl::saveState(), TControl::saveStateRecursive(), TControl::setAdapter(), TControl::setAttribute(), TControl::setChildControlsCreated(), TControl::setControlStage(), TControl::setControlState(), TControl::setCustomData(), TControl::setEnabled(), TControl::setEnableTheming(), TControl::setEnableViewState(), TControl::setID(), TControl::setPage(), TControl::setSkinID(), TControl::setTemplateControl(), TControl::setViewState(), TControl::setVisible(), TControl::trackViewState(), TControl::traverseChildControls(), TControl::unbindProperty(), TControl::unloadRecursive(), TControl::unregisterObject(), TControl::__get()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary

Method Details

## bubbleEvent

public void bubbleEvent | (mixed $sender , mixed $param )

Continue bubbling the "edit" command, "delete" command is handled in this class.

Input
mixed | $sender |
mixed | $param |
Output
Exception

## deleteRecord

protected void deleteRecord | (mixed $sender , mixed $param )

Deletes an Active Record.

Input
mixed | $sender |
mixed | $param |
Output
Exception

## getEditViewControl

protected TScaffoldEditView getEditViewControl | ()

Output
TScaffoldEditView | control for editing selected Active Record, null if EditViewID is not set.
Exception

## getEditViewID

public string getEditViewID | ()

Output
string | TScaffoldEditView control ID for editing selected Active Record.
Exception

## getHeader

public TRepeater getHeader | ()

Output
TRepeater | Repeater control for record property names.
Exception

## getList

public TRepeater getList | ()

Output
TRepeater | Repeater control for Active Record instances.
Exception

## getPager

public TPager getPager | ()

Output
TPager | List pager control.
Exception

## getRecordCriteria

protected TActiveRecordCriteria getRecordCriteria | ()

Output
TActiveRecordCriteria | sort/search/paging criteria
Exception

## getSearchCondition

public void getSearchCondition | (string 0 )

Input
string | 0 | SQL search condition for list display.
Output
Exception

## getSearchParameters

public array getSearchParameters | ()

Output
array | search parameters
Exception

## getSort

public TDropDownList getSort | ()

Output
TDropDownList | Control that displays and controls the record ordering.
Exception

## initializeEdit

protected void initializeEdit | (mixed $sender , mixed $param )

Initialize the edit view control form when EditViewID is set.

Input
mixed | $sender |
mixed | $param |
Output
Exception

## initializeSort

protected void initializeSort | ()

Initialize the sort drop down list and the column names repeater.

Output
Exception

## listItemCreated

protected void listItemCreated | (mixed $sender , mixed $param )

Initialize the default display for each Active Record item.

Input
mixed | $sender |
mixed | $param |
Output
Exception

## loadRecordData

protected void loadRecordData | ()

Fetch the records and data bind it to the list.

Output
Exception

## onPreRender

public void onPreRender | (mixed $param )

Loads and display the data.

Input
mixed | $param |
Output
Exception

## pageChanged

protected void pageChanged | (mixed $sender , mixed $param )

Updates repeater page index with the pager new index value.

Input
mixed | $sender |
mixed | $param |
Output
Exception

## populateField

protected void populateField | (mixed $sender , mixed $param )

Sets the Record primary key to the current repeater item's CustomData.

Binds the inner repeater with properties of the current Active Record.

Input
mixed | $sender |
mixed | $param |
Output
Exception

## setEditViewID

public void setEditViewID | (string $value )

Input
string | $value | TScaffoldEditView control ID for editing selected Active Record.
Output
Exception

## setSearchCondition

public void setSearchCondition | (string $value )

Input
string | $value | search condition, the SQL string after the WHERE clause.
Output
Exception

## setSearchParameters

public void setSearchParameters | (array $value )

Input
array | $value | search parameters
Output
Exception